Scheduler (The Data Transfer Scheduler Service 2.0.0-4.2.1-126202 API)
Date: 2017-02-10

org.gcube.datatransfer.scheduler.impl.porttype

## Class Scheduler

- java.lang.Object
- - org.gcube.common.core.porttypes.GCUBEPortType
  - - org.gcube.datatransfer.scheduler.impl.porttype.Scheduler

- All Implemented Interfaces:
    javax.xml.rpc.server.ServiceLifecycle

      public class Scheduler
      extends org.gcube.common.core.porttypes.GCUBEPortType

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `org.gcube.datatransfer.scheduler.db.DataTransferDBManager` | `dbManager`
    `org.gcube.datatransfer.scheduler.is.ISManager` | `isManagerForAgents`
    `org.gcube.datatransfer.scheduler.is.ISManager` | `isManagerForSources`
    `org.gcube.datatransfer.scheduler.is.ISManager` | `isManagerForStorages`

    - ### Fields inherited from class org.gcube.common.core.porttypes.GCUBEPortType

      `initialized`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Scheduler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `cancelScheduledTransfer(String msg)`
    `long` | `frequencyInMS(org.gcube.datatransfer.common.scheduler.Types.FrequencyType frequency)`
    `String` | `getScheduledTransferOutcomes(String msg)`
    `protected ServiceContext` | `getServiceContext()`
    `String` | `monitorScheduledTransfer(String msg)`
    `String` | `storeInfoScheduler(String msg)`
    `void` | `updateAgentStatistics(String status, org.gcube.datatransfer.scheduler.db.model.Agent agent)`

    - ### Methods inherited from class org.gcube.common.core.porttypes.GCUBEPortType

      `destroy, init, onFailure, onInitialisation, onReady, onStateChange, onUpdate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dbManager

          public org.gcube.datatransfer.scheduler.db.DataTransferDBManager dbManager

    - #### isManagerForAgents

          public org.gcube.datatransfer.scheduler.is.ISManager isManagerForAgents

    - #### isManagerForSources

          public org.gcube.datatransfer.scheduler.is.ISManager isManagerForSources

    - #### isManagerForStorages

          public org.gcube.datatransfer.scheduler.is.ISManager isManagerForStorages

  - ### Constructor Detail

    - #### Scheduler

          public Scheduler()

  - ### Method Detail

    - #### getServiceContext

          protected ServiceContext getServiceContext()

      Specified by:
        `getServiceContext` in class `org.gcube.common.core.porttypes.GCUBEPortType`

    - #### storeInfoScheduler

          public String storeInfoScheduler(String msg)
                                    throws org.gcube.common.core.faults.GCUBEFault

      Throws:
        `org.gcube.common.core.faults.GCUBEFault`

    - #### cancelScheduledTransfer

          public String cancelScheduledTransfer(String msg)
                                         throws org.gcube.common.core.faults.GCUBEFault

      Throws:
        `org.gcube.common.core.faults.GCUBEFault`

    - #### monitorScheduledTransfer

          public String monitorScheduledTransfer(String msg)
                                          throws org.gcube.common.core.faults.GCUBEFault

      Throws:
        `org.gcube.common.core.faults.GCUBEFault`

    - #### getScheduledTransferOutcomes

          public String getScheduledTransferOutcomes(String msg)
                                              throws org.gcube.common.core.faults.GCUBEFault

      Throws:
        `org.gcube.common.core.faults.GCUBEFault`

    - #### updateAgentStatistics

          public void updateAgentStatistics(String status,
                                   org.gcube.datatransfer.scheduler.db.model.Agent agent)

    - #### frequencyInMS

          public long frequencyInMS(org.gcube.datatransfer.common.scheduler.Types.FrequencyType frequency)

Copyright © 2017. All Rights Reserved.